%global somajor 23

Summary: Library for reading RAW files obtained from digital photo cameras
Name: LibRaw
Version: 0.21.2
Release: 4%{?dist}
License: BSD and (CDDL-1.0 or LGPLv2)
URL: http://www.libraw.org
Source0: http://github.com/LibRaw/LibRaw/archive/%{version}.tar.gz
Patch0001: Patch0001.patch
Patch0002: Patch0002.patch
Patch0003: Patch0003.patch
Patch3000: LibRaw-pkgconfig.patch

BuildRequires: make gcc-c++
BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig(lcms2) pkgconfig(jasper) pkgconfig(libjpeg)
Provides: bundled(dcraw) = 9.25

%description
This package provides a library for reading RAW files obtained from digital photo cameras 
(CRW/CR2, NEF, RAF, DNG, and others).

%package devel
Summary: LibRaw development libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides libraries that applications can use to build against LibRaw.

%package static
Summary: LibRaw static development libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
This package provides LibRaw static development libraries.

%package samples
Summary: LibRaw sample programs
Requires: %{name} = %{version}-%{release}

%description samples
This package provides LibRaw sample programs.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
autoreconf -if
%configure --enable-examples=yes --enable-jasper --enable-jpeg --enable-lcms --enable-openmp

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
cp -pr doc manual
chmod 644 LICENSE.CDDL LICENSE.LGPL COPYRIGHT Changelog.txt
chmod 644 manual/*.html

%make_install

rm -rfv samples/.deps
rm -fv samples/.dirstamp
rm -fv samples/*.o

rm -fv %{buildroot}%{_libdir}/lib*.la

%files
%license LICENSE.CDDL LICENSE.LGPL COPYRIGHT
%doc Changelog.txt
%{_libdir}/libraw.so.%{somajor}{,.*}
%{_libdir}/libraw_r.so.%{somajor}{,.*}

%files static
%{_libdir}/libraw.a
%{_libdir}/libraw_r.a

%files devel
%doc manual samples
%{_includedir}/libraw/
%{_libdir}/libraw.so
%{_libdir}/libraw_r.so
%{_libdir}/pkgconfig/libraw.pc
%{_libdir}/pkgconfig/libraw_r.pc
%exclude %{_docdir}/libraw/*

%files samples
%{_bindir}/*

%changelog
* Fri May 23 2025 Zidong Huang <zidonghuang@tencent.com> - 0.21.2-4
- [Type] Security
- [DESC] Fix CVE-2025-43961, CVE-2025-43962, CVE-2025-43963, CVE-2025-43964

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.2-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.2-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.21.2-1
- Upgrade to version 0.21.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.2-6
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Sep 05 2023 Wang Guodong <gordonwwang@tencent.com> - 0.20.2-5
- fix CVE-2023-1729

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 0.20.2-4
- Rebuilt for jasper-libs 4.0.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Wang Guodong <gordonwwang@tencent.com> - 0.20.2-1
- package init.
